curl --request GET \
--url https://plugin-pix-indirect.api.lerian.net/v1/transfers \
--header 'Authorization: Bearer <token>' \
--header 'X-Account-Id: <x-account-id>'import requests
url = "https://plugin-pix-indirect.api.lerian.net/v1/transfers"
headers = {
"X-Account-Id": "<x-account-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Account-Id': '<x-account-id>', Authorization: 'Bearer <token>'}
};
fetch('https://plugin-pix-indirect.api.lerian.net/v1/transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Listar Transferências Pix
Use este endpoint para listar Transferências Pix com filtros opcionais e paginação.
Autorizações
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Cabeçalhos
Identificador único da Conta do Ledger Midaz (formato UUID).
Parâmetros de consulta
Número máximo de itens por página.
1 <= x <= 100Número de itens a pular antes de começar a coletar o conjunto de resultados.
Direção da ordenação: asc ou desc.
asc, desc Filtra pelo identificador end-to-end da transferência Pix.
Filtra pelo status da transferência (CREATED, PENDING, PROCESSING, COMPLETED, FAILED, REVERSED).
CREATED, PENDING, PROCESSING, COMPLETED, FAILED, REVERSED Filtra pela direção da transferência (CASHOUT ou CASHIN).
CASHOUT, CASHIN Filtrar por registros modificados após este timestamp (formato RFC3339: 2024-01-15T10:30:00Z).
Filtrar por registros modificados antes deste timestamp (formato RFC3339: 2024-01-15T10:30:00Z).
Esta página foi útil?

